View Issue Details

IDProjectCategoryView StatusLast Update
0023941LazarusOtherpublic2013-02-27 17:41
ReporterBrian ColemanAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS XOS Version10.8.2
Product VersionProduct Build1.1.40168-20130204-i386 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0023941: Corrupted TUpDown icons on MacOSX
DescriptionHi,
I know snapshots are untested software, but more often than not they work extremely well.
The last 2 weeks or so EVERY new Mac i386 snapshot version e.g. (today) lazarus-1.1.40367-20130223-i386-macosx.dmg, results in corrupted TUpDown icons on a form.
My code works fine under snapshot lazarus-1.1.40168-20130204-i386-macosx.dmg (February 4th 2013).
TagsMac OS X, TUpDown
Fixed in Revision40435
LazTarget1.2
Widgetset
Attached Files

Activities

Vincent Snijders

2013-02-23 16:50

manager   ~0065839

Can you attach a screenshot?

Since when did this happen?

Bart Broersma

2013-02-23 18:42

developer   ~0065843

Changed summary to reflect the problem.

Brian Coleman

2013-02-24 11:51

reporter   ~0065856

Hi
I upload herewith a skeleton project. The TUpDown problem becomes immediately apparent when its opened with yesterday's snapshot:
lazarus-1.1.40367-20130223-i386-macosx.dmg

The same has been occuring with all snapshots back to after Feb.4th.
As mentioned, I manage quite well with the version
lazarus-1.1.40168-20130204-i386-macosx.dmg,
which presents the TUpDowns correctly.

Best regards,

Brian

Brian Coleman

2013-02-24 11:57

reporter  

AKTEST.zip (392,778 bytes)

Brian Coleman

2013-02-24 12:34

reporter   ~0065857

Hi again: Issue WORKAROUND.

As I just discovered, the problem has to do with the TUpDown Height/Width ratio.

Unless the ratio has a certain value some or all of the lower part disappears.

The bug is clearly a minor one and presumably easily fixed.

The workaround until then is just to set the Height and Width so that the icon appears correctly.

Thanks again for all your great work.

Brian

Issue History

Date Modified Username Field Change
2013-02-23 16:28 Brian Coleman New Issue
2013-02-23 16:33 Reinier Olislagers Tag Attached: Mac OS X
2013-02-23 16:33 Reinier Olislagers Tag Attached: TUpDown
2013-02-23 16:50 Vincent Snijders LazTarget => -
2013-02-23 16:50 Vincent Snijders Note Added: 0065839
2013-02-23 16:50 Vincent Snijders Status new => feedback
2013-02-23 18:42 Bart Broersma Note Added: 0065843
2013-02-23 18:42 Bart Broersma Summary Persistent snapshot bug => Corrupted TUpDown icons on MacOSX
2013-02-24 11:51 Brian Coleman Note Added: 0065856
2013-02-24 11:51 Brian Coleman Status feedback => new
2013-02-24 11:57 Brian Coleman File Added: AKTEST.zip
2013-02-24 12:34 Brian Coleman Note Added: 0065857
2013-02-27 17:38 Jesus Reyes Assigned To => Jesus Reyes
2013-02-27 17:38 Jesus Reyes Status new => assigned
2013-02-27 17:41 Jesus Reyes Fixed in Revision => 40435
2013-02-27 17:41 Jesus Reyes LazTarget - => 1.2
2013-02-27 17:41 Jesus Reyes Status assigned => resolved
2013-02-27 17:41 Jesus Reyes Fixed in Version => 1.1 (SVN)
2013-02-27 17:41 Jesus Reyes Resolution open => fixed
2013-02-27 17:41 Jesus Reyes Target Version => 1.2.0